This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 251138 - setfacl requires perms; setfacl.1 says optional
setfacl requires perms; setfacl.1 says optional
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acl (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 09:52 EDT by Chris Pepper
Modified: 2015-02-01 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 06:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Pepper 2007-08-07 09:52:41 EDT
Description of problem:
ACL ENTRIES shows perms bracketed, meaning optional, but setfacl returns an
error if perms are not provided.

Version-Release number of selected component (if applicable):
acl-2.2.39-1.1

How reproducible:
Always

Steps to Reproduce:
[root@station12 opt]# setfacl -m ed /opt/test/
setfacl: Option -m incomplete
[root@station12 opt]# setfacl -m ed:rw /opt/test/
Comment 1 Jiri Moskovcak 2007-08-07 10:07:03 EDT
From manual page of setfacl:

The  -m  (--modify)  and -M (--modify-file) options modify the ACL of a file or
directory.  ACL entries for this operation must include permissions.
Comment 2 Jiri Moskovcak 2007-08-07 10:07:46 EDT
From manual page of setfacl:

The  -m  (--modify)  and -M (--modify-file) options modify the ACL of a file or
directory.  ACL entries for this operation must include permissions.

Note You need to log in before you can comment on or make changes to this bug.